#!/bin/sh
# Script to install my personal rice

printf "[!!!] You should probably run this script from a TTY, which will minimize the possibility of messing stuff up. Make sure the current directory is also placed in your home folder."
	sleep 5

printf "[i] Installing GTK theme..."
printf "[i] Must have the following binaries: wget, unzip"
	sleep 1
	mkdir -v $HOME/.themes
	cd $HOME/.themes
	wget https://github.com/dracula/gtk/archive/master.zip
	unzip gtk-master.zip
	rm gtk-master.zip
	printf "[i] Installed GTK theme successfully."

printf "[i] Installing OhMyZSH theme..."
	export $OH_MY_ZSH=~/.oh-my-zsh
	mkdir ~/.zsh
	cd ~/.zsh
	git clone https://github.com/dracula/zsh.git
	ln -sv ~/.zsh/zsh/dracula.zsh-theme $OH_MY_ZSH/themes/dracula.zsh-theme
	printf "[i] To use the new theme, in ~/.zshrc, change 'ZSH_THEME' to 'dracula'."

printf "[i] Replacing Xfce config directory..."
	printf "[!!!] WARNING: THIS WILL WIPE YOUR CURRENT XFCE CONFIGURATION! ENSURE YOU HAVE A BACKUP IF YOU WISH TO KEEP IT. THIS CAN BE DONE BY RUNNING THE FOLLOWING COMMAND: 'cp -rv ~/.config/xfce4 ~/xfce4.back'. >>> THE SCRIPT WILL EXECUTE IN 10 SECONDS."
	sleep 10
	rm -rvf ~/.config/xfce4
	cp -rvf ~/rice/xfce4 ~/.config

printf "[i] Reboot to finish the installation."

exit 0
